#include <iostream>

int main() {
    size_t number;
    std::cin >> number;

    if (number == 0)
    {
        std::cout << 1;
        return 0;
    }

    size_t res = 1;
    if (number % 2 == 0)
    {
        for (size_t i = 1; i <= number / 2; ++i) {
            res *= i*2;
            res = res % 10010101;
        }
    }
    else
    {
        for (size_t i = 1; i <= (number + 1) / 2; ++i) {
            res *= (i*2 - 1);
            res = res % 10010101;
        }
    }

    std::cout << res;
    return 0;
}
